2

I have some problem in my configuration of the CarrIOTA Field app, running on Ubuntu 16.04.4 LTS and Node.js v8.9.4.

I installed and attempted to launch it using the instructions here at GitHub. The command line used for launching it (as a root user):

field --pow

This command line returns the following error:

04:01:10.965    FIELD        Field Client v.0.1.5
04:01:10.979    FIELD        Field ID: [REMOVED]
04:01:10.979    FIELD        Public ID: [REMOVED]
/usr/lib/node_modules/field.cli/node_modules/hoxy/lib/proxy.js:213
    throw new Error('invalid value for upstreamProxy: "' + opts.upstreamProxy + '"');
    ^
Error: invalid value for upstreamProxy: "localhost:NaN"
at new Proxy (/usr/lib/node_modules/field.cli/node_modules/hoxy/lib/proxy.js:213:15)
at Object.createServer (/usr/lib/node_modules/field.cli/node_modules/hoxy/lib/main.js:21:12)
at Field.start (/usr/lib/node_modules/field.cli/dist/field.js:110:25)
at Object.<anonymous> (/usr/lib/node_modules/field.cli/dist/index.js:40:7)
at Module._compile (module.js:643:30)
at Object.Module._extensions..js (module.js:654:10)
at Module.load (module.js:556:32)
at tryModuleLoad (module.js:499:12)
at Function.Module._load (module.js:491:3)
at Function.Module.runMain (module.js:684:10)

It looks like it is somehow getting an invalid upstreamProxy: "localhost:NaN" value but where is it getting that from?

The instructions at the GitHub page do not list a property seems to match that provides this value, except perhaps "IRIHostname" which is also listed as "iriHostname" on the GitHub page. Setting this property to "localhost" (which is also the default value) did not resolve the error however.

Also the Field "issues page" at GitHub did not mention this error.

Would anyone have any thoughts on what could be causing this issue?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.